Version 4.0.26.22 (latest)

### Search Looks

Returns an **array of Look objects** that match the specified search criteria.

If multiple search params are given and `filter_or` is FALSE or not specified,
search params are combined in a logical AND operation.
Only rows that match *all* search param criteria will be returned.

If `filter_or` is TRUE, multiple search params are combined in a logical OR operation.
Results will include rows that match **any** of the search criteria.

String search params use case-insensitive matching.
String search params can contain `%` and '_' as SQL LIKE pattern match wildcard expressions.
example="dan%" will match "danger" and "Danzig" but not "David"
example="D_m%" will match "Damage" and "dump"

Integer search params can accept a single value or a comma separated list of values. The multiple
values will be combined under a logical OR operation - results will match at least one of
the given values.

Most search params can accept "IS NULL" and "NOT NULL" as special expressions to match
or exclude (respectively) rows where the column is null.

Boolean search params accept only "true" and "false" as values.

Get a **single look** by id with [look(id)](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/methods/Look/look)

## Request

GET /looks/search Datatype Description Request HTTP Request query HTTP Query Expand HTTP Query definition... id string Match look id. title string Match Look title. description string Match Look description. content_favorite_id string Select looks with a particular content favorite id folder_id string Select looks in a particular folder. user_id string Select looks created by a particular user. view_count string Select looks with particular view_count value deleted boolean Select soft-deleted looks query_id string Select looks that reference a particular query by query_id curate boolean Exclude items that exist only in personal spaces other than the users last_viewed_at string Select looks based on when they were last viewed fields string Requested fields. page integer DEPRECATED. Use limit and offset instead. Return only page N of paginated results per_page integer DEPRECATED. Use limit and offset instead. Return N rows of data per page limit integer Number of results to return. (used with offset and takes priority over page and per_page) offset integer Number of results to skip before returning any. (used with limit and takes priority over page and per_page) sorts string One or more fields to sort results by. Sortable fields: \[:title, :user_id, :id, :created_at, :space_id, :folder_id, :description, :updated_at, :last_updater_id, :view_count, :favorite_count, :content_favorite_id, :deleted, :deleted_at, :last_viewed_at, :last_accessed_at, :query_id, :certification_status\] filter_or boolean Combine given search criteria in a boolean OR expression

## Response

### 200: looks

Datatype Description (array) [Look](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Look)\[\] can object Operations the current user is able to perform on this object content_metadata_id string Id of content metadata id string Unique Id title string Look Title user_id string User Id certification_metadata [Certification](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Certification) Certification metadata Expand Certification definition... certification_status string Certification status: "certified" or "revoked" Valid values are: "certified", "revoked". ui_status string Indicates whether the underlying model is ungoverned user_name string Display name of user who certified the content, derived from user_id notes string Certification notes updated_at string Timestamp of certification content_favorite_id string Content Favorite Id created_at string Time that the Look was created. deleted boolean Whether or not a look is 'soft' deleted. deleted_at string Time that the Look was deleted. deleter_id string Id of User that deleted the look. description string Description embed_url string Embed Url excel_file_url string Excel File Url favorite_count integer Number of times favorited google_spreadsheet_formula string Google Spreadsheet Formula image_embed_url string Image Embed Url is_run_on_load boolean auto-run query when Look viewed last_accessed_at string Time that the Look was last accessed by any user last_updater_id string Id of User that last updated the look. last_viewed_at string Time last viewed in the Looker web UI model [LookModel](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/LookModel) Model Expand LookModel definition... id string Model Id label string Model Label public boolean Is Public public_slug string Public Slug public_url string Public Url query_id string Query Id short_url string Short Url folder [FolderBase](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/FolderBase) Folder of this Look Expand FolderBase definition... name string Unique Name parent_id string Id of Parent. If the parent id is null, this is a root-level entry id string Unique Id content_metadata_id string Id of content metadata created_at string Time the folder was created creator_id string User Id of Creator child_count integer Children Count external_id string Embedder's Id if this folder was autogenerated as an embedding shared folder via 'external_group_id' in an SSO embed login is_embed boolean Folder is an embed folder is_embed_shared_root boolean Folder is the root embed shared folder is_embed_users_root boolean Folder is the root embed users folder is_personal boolean Folder is a user's personal folder is_personal_descendant boolean Folder is descendant of a user's personal folder is_shared_root boolean Folder is the root shared folder is_users_root boolean Folder is the root user folder can object Operations the current user is able to perform on this object folder_id string Folder Id updated_at string Time that the Look was updated. user_name string Name of User that created the look. view_count integer Number of times viewed in the Looker web UI usage_count integer Number of queries executed on this look in the last N days is_owner_disabled boolean Is the owner disabled

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

## Examples

### Python


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/download_look.py](https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/download_look.py#L45 "https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/download_look.py") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py](https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py#L387 "https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py](https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py#L432 "https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py](https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py#L445 "https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py](https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py#L456 "https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py](https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py#L472 "https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py") |

### Kotlin


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestAsync.kt](https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestAsync.kt#L12 "https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestAsync.kt") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestAsync.kt](https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestAsync.kt#L47 "https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestAsync.kt") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestSmoke.kt](https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestSmoke.kt#L61 "https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestSmoke.kt") |

### TypeScript


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts#L266 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts#L405 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts#L414 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts#L432 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts#L255 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts#L382 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts#L391 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts#L407 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts") |

### Swift


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/smokeTests.swift](https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/smokeTests.swift#L345 "https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/smokeTests.swift") |